# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TVertex Class Reference

`#include <PTopoDS_TVertex.hxx>`

Inheritance diagram for PTopoDS_TVertex:

[legend]

## Public Member Functions

Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
| PTopoDS_TVertex (const Storage_stCONSTclCOM &a)
| PTopoDS_TVertex ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PTopoDS_TVertex::PTopoDS_TVertex | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PTopoDS_TVertex::PTopoDS_TVertex | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_TVertex::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TShape. Reimplemented in PBRep_TVertex.

Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TVertex::ShapeType | ( |  | ) | const`[virtual]`

| Implements PTopoDS_TShape.

The documentation for this class was generated from the following file:

- PTopoDS_TVertex.hxx